## org.gnu.gtk
Class Justification

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.Justification

public class Justification
extends org.gnu.glib.Enum

Used for justifying the text inside a Label widget.

     JUSTIFY_LEFT
     The text is placed at the left edge of the label.
     JUSTIFY_RIGHT
     The text is placed at the right edge of the label.
     JUSTIFY_CENTER
     The text is placed in the center of the label.
     JUSTIFY_FILL
     The text is placed is distributed across the label.

See Also:
  `todo: update doc`

Field Summary
`static Justification` `CENTER`
`static Justification` `FILL`
`static Justification` `LEFT`
`static Justification` `RIGHT`

Method Summary
`Justification` `and(Justification other)`
`static Justification` `intern(int value)`
`Justification` `or(Justification other)`
`boolean` `test(Justification other)`
`Justification` `xor(Justification other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT

    public static final Justification LEFT

### RIGHT

    public static final Justification RIGHT

### CENTER

    public static final Justification CENTER

### FILL

    public static final Justification FILL

Method Detail

### intern

    public static Justification intern(int value)

### or

    public Justification or(Justification other)

### and

    public Justification and(Justification other)

### xor

    public Justification xor(Justification other)

### test

    public boolean test(Justification other)